
Redmine - Defect #14843

Error in migrate_from_trac

2013-09-04 10:17 - Marc Schlaich

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Trace:

root@redmine www/redmine# rake redmine:migrate_from_trac --trace RAILS_ENV="production" 

** Invoke redmine:migrate_from_trac (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute redmine:migrate_from_trac

WARNING: a new project will be added to Redmine during this process.

Are you sure you want to continue ? [y/N] y

Trac directory []: /root/hacs

Trac database adapter (sqlite3, mysql2, postgresql) [sqlite3]:

Trac database encoding [UTF-8]:

Target project identifier []: migrated

Migrating components.....

Migrating milestones.....

Migrating custom fields

Migrating tickets.................................................................................

......................

...........................................

Migrating wiki....................................................................................

......................

...................rake aborted!

no implicit conversion to float from nil

/usr/local/lib/ruby/gems/1.8/gems/activesupport-3.2.12/lib/active_support/core_ext/time/calculatio

ns.rb:326:in `minus_wi

thout_duration'

/usr/local/lib/ruby/gems/1.8/gems/activesupport-3.2.12/lib/active_support/core_ext/time/calculatio

ns.rb:326:in `minus_wi

thout_coercion'

/usr/local/lib/ruby/gems/1.8/gems/activesupport-3.2.12/lib/active_support/core_ext/time/calculatio

ns.rb:337:in `-'

/var/www/redmine/lib/tasks/migrate_from_trac.rake:79:in `fake'

/var/www/redmine/lib/tasks/migrate_from_trac.rake:586:in `migrate'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-3.2.12/lib/active_record/associations/collection_pr

oxy.rb:89:in `each'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-3.2.12/lib/active_record/associations/collection_pr

oxy.rb:89:in `send'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-3.2.12/lib/active_record/associations/collection_pr

oxy.rb:89:in `method_m

issing'

/var/www/redmine/lib/tasks/migrate_from_trac.rake:584:in `migrate'

/var/www/redmine/lib/tasks/migrate_from_trac.rake:769

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:246:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:246:in `execute'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:241:in `each'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:241:in `execute'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:184:in `invoke_with_call_chain'

/usr/local/lib/ruby/1.8/monitor.rb:242:in `synchronize'

2025-05-17 1/2



/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:177:in `invoke_with_call_chain'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/task.rb:170:in `invoke'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:143:in `invoke_task'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:101:in `top_level'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:101:in `each'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:101:in `top_level'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:110:in `run_with_threads'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:95:in `top_level'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:73:in `run'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:160:in `standard_exception_h

andling'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/lib/rake/application.rb:70:in `run'

/usr/local/lib/ruby/gems/1.8/gems/rake-10.0.4/bin/rake:33

/usr/local/bin/rake:19:in `load'

/usr/local/bin/rake:19

Tasks: TOP => redmine:migrate_from_trac

Related issues:

Related to Redmine - Defect #14844: migrate_from_trac is not run in database ... New

Is duplicate of Redmine - Defect #6868: migrate_from_trac and trac 0.12 Reopened 2010-11-11

History

#1 - 2013-09-04 10:40 - Marc Schlaich

Possible fix could be.

if page.content.updated_on.nil?

  page.content.save

else

  Time.fake(page.content.updated_on) { page.content.save }

end

 I'm no ruby developer but it worked for me ;-)

#2 - 2013-09-04 11:41 - Marc Schlaich

Ah, duplicate: #6868 (why is this not resolved after > 3 years, though?!)

#3 - 2013-09-17 09:31 - Toshi MARUYAMA

- Category set to Importers

#4 - 2013-09-17 09:32 - Toshi MARUYAMA

- Related to Defect #6868: migrate_from_trac and trac 0.12 added

#5 - 2013-09-17 09:33 - Toshi MARUYAMA

- Related to Defect #14844: migrate_from_trac is not run in database transaction added

#6 - 2014-10-16 13:05 - Toshi MARUYAMA

- Related to deleted (Defect #6868: migrate_from_trac and trac 0.12)

#7 - 2014-10-16 13:05 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

#8 - 2014-10-16 13:05 - Toshi MARUYAMA

- Is duplicate of Defect #6868: migrate_from_trac and trac 0.12 added
